Name:		axel
Summary:        A lightweight download accelerator by using multiple connections
Version:        2.4
Release:        %mkrel 12
Source0:        http://alioth.debian.org/frs/download.php/3015/%{name}-%{version}.tar.gz
URL:            http://axel.alioth.debian.org/

Group:          Networking/WWW
License:        GPLv2 

BuildRequires:	libtool
BuildRequires:	gettext
BuildRequires:	desktop-file-utils

Conflicts:	%{name} < %{version}-%{release}

%description
Axel tries to accelerate HTTP/FTP downloading process by using multiple
connections for one file. It can use multiple mirrors for a download. Axel has
no dependencies and is lightweight, so it might be useful as a wget clone on
byte-critical systems.

%prep 
%setup -q 

%build
%configure2_5x --etcdir=%{_sysconfdir} --i18n=1 --strip=0
%make

%install
%makeinstall_std
install -D -d -m 0755 %{buildroot}%{_datadir}/applications
install -D -m 0755 gui/kapt/%{name}-kapt   %{buildroot}%{_bindir}/
install -D -m 0644 gui/kapt/%{name}-kapt.1 %{buildroot}%{_datadir}/man/man1/

desktop-file-install --vendor="" \
                     --dir %{buildroot}%{_datadir}/applications \
                     --remove-category="KDE" \
                     gui/kapt/%{name}-kapt.desktop

%find_lang %{name} --with-man

%files -f %{name}.lang
%doc API README COPYING CREDITS %{name}rc.example
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_mandir}/man1/%{name}.1.*

%package kapt
Summary:        GUI for axel
Version:        0.3
Group:		Networking/WWW

BuildArch:      noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	kaptain >= 0.73

Conflicts:	%{name}-kapt < %{version}-%{release}

%description kapt
GUI for axel download accelerator

%files kapt
%{_bindir}/%{name}-kapt
%{_datadir}/applications/%{name}-kapt.desktop
%{_mandir}/man1/%{name}-kapt.1.*


%changelog
* Wed Feb 10 2016 umeabot <umeabot> 2.4-12.mga6
+ Revision: 953114
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 2.4-11.mga6
+ Revision: 879810
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 2.4-10.mga6
+ Revision: 875139
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 2.4-9.mga5
+ Revision: 741978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4-8.mga5
+ Revision: 678085
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.4-7.mga4
+ Revision: 522537
- Mageia 4 Mass Rebuild

* Sun Mar 17 2013 lmenut <lmenut> 2.4-6.mga3
+ Revision: 403597
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Fri Jan 11 2013 umeabot <umeabot> 2.4-5.mga3
+ Revision: 346748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 18 2012 matteo <matteo> 2.4-4.mga2
+ Revision: 197844
- fixed requires
- added conflicts to ease upgrade

* Tue Jan 17 2012 matteo <matteo> 2.4-3.mga2
+ Revision: 197470
- fixed wrong xz br
- used find_lang to handle localized man pages

* Tue Jan 17 2012 matteo <matteo> 2.4-2.mga2
+ Revision: 197460
- axel-kapt man pages provided by axel-kapt package
- added xz as buildrequire
- fixed release
- fixed missing br
- fixed packages groups
- fixed axel-kapt desktopfile
- release number increased
- fixed Group entries for axel and axel-kapt

* Tue Jul 12 2011 matteo <matteo> 2.4-1.mga2
+ Revision: 123222
- axel.spec: axel-kapt subpackage fixed to be noarch
- imported package axel


* Sun May 29 2011 Matteo Pasotti <pasotti.matteo@gmail.com> 2.4-1
- create spec 

